<?php
/**
 * Partial template to display primary menu
 *
 * @package Purenote
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * hook: purenote_before_primary_menu
 *
 * @since 1.0.0
 */
do_action( 'purenote_before_primary_menu' );

?>

<nav id="site-navigation" class="main-navigation" <?php purenote_schema_markup( 'site_navigation' ); ?>>
    <button class="purenote-menu-toogle" aria-controls="primary-menu" aria-expanded="false"> <i class="fas fa-bars"></i> </button>
    <div class="primary-menu-wrap">
        <?php
        wp_nav_menu(
            array(
                'theme_location' => 'primary_menu',
                'menu_id'        => 'primary-menu',
            )
        );
        ?>
    </div><!-- .primary-menu-wrap -->
</nav><!-- #site-navigation -->

<?php
/**
 * hook: purenote_after_primary_menu
 *
 * @since 1.0.0
 */
do_action( 'purenote_after_primary_menu' );